/*
 *  llib/mem.h
 *
 *  Copyright (C) 2006 by Digi International Inc.
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License version2  as published by
 *  the Free Software Foundation.
*/
/*
 *  !Revision:   $Revision: 1.3 $: 
 *  !Author:     Markus Pietrek
 *  !Descr:      Provides MemCmp() and MemDump()
 *  !References: 
*/

#ifndef FS_MEM_H
#define FS_MEM_H

#include <stdlib.h>             /* size_t */

#ifdef S_SPLINT_S
typedef off_t loff_t;
#endif

#ifdef __cplusplus
extern "C" {
#endif

extern loff_t MemCmp(  const void* pvS1, const void* pvS2, size_t iSize );
extern void   MemDump( const void* pvBase, loff_t iOffset, size_t iLen );

#ifdef __cplusplus
}
#endif

#endif /* FS_MEM_H */
